> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Record By Id

> Allows you to get a Standard Object like business and custom object record by Id



## OpenAPI

````yaml /api-reference/objects/openapi.json get /objects/{schemaKey}/records/{id}
openapi: 3.0.0
info:
  title: CUSTOM_OBJECTS API
  description: >-
    Custom objects are completely customizable objects that allow you to store
    and manage information tailored to your unique business needs. With custom
    objects, you can create custom fields, establish relationships, and
    integrate them into workflows, providing flexibility beyond standard objects
    like Contacts, Opportunities or Companies.
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Custom Objects Schema
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Object Schema
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Sub-Account (Formerly Location)
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Records
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Search Object Records
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Search
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Tags
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Tasks Search
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Custom Field
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Custom Value
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Timezone
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: Template
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
  - name: ElasticSearch
    description: >-
      Custom objects are completely customizable objects that allow you to store
      and manage information tailored to your unique business needs. With custom
      objects, you can create custom fields, establish relationships, and
      integrate them into workflows, providing flexibility beyond standard
      objects like Contacts, Opportunities or Companies.
paths:
  /objects/{schemaKey}/records/{id}:
    get:
      tags:
        - Records
      summary: Get Record By Id
      description: >-
        Allows you to get a Standard Object like business and custom object
        record by Id
      operationId: get-record-by-id
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: schemaKey
          required: true
          in: path
          description: >-
            The key of the Custom Object / Standard Object Schema. For custom
            objects, the key must include the “custom_objects.” prefix, while
            standard objects use their respective object keys. This information
            is available on the Custom Objects Details page under Settings.
          schema:
            example: custom_objects.pet or business.email (for company's email)
            type: string
        - name: id
          required: true
          in: path
          description: >-
            id of the record to be updated. Available on the Record details page
            under the 3 dots or in the url
          schema:
            example: 632c34b4c9b7da3358ac9891
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordByIdResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
      security:
        - bearer: []
components:
  schemas:
    RecordByIdResponseDTO:
      type: object
      properties:
        record:
          $ref: '#/components/schemas/IRecordSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    IRecordSchema:
      type: object
      properties:
        id:
          type: string
          example: 661c06b4ffde146bdb469442
          description: id of the record
        owner:
          description: >-
            Owner (User's id). Limited to 1 for now. Only Supported with custom
            objects
          example:
            - sx6wyHhbFdRXh302Lunr
          type: array
          items:
            type: string
        followers:
          description: Follower (User's ids). Limited to 10 for now
          example:
            - sx6wyHhbFdRXh302Lunr
            - v5cEPM428h8vShlRW1KT
          type: array
          items:
            type: string
        properties:
          type: string
          example:
            customer_number: 1424
            ticket_name: Customer not able login
            phone_number: '+917000000000'
            money:
              currency: default
              value: 100
            type_of_ticket: doubt
            section_of_app:
              - contacts
              - smartlist
            recieved_on: '2024-07-11'
            my_files:
              - url: '---url_of_file---'
            my_textbox_list.option_a: Value 1
            my_textbox_list.option_b: Value 2
          description: Properties of the record
        dateAdded:
          type: string
          description: Date and time when the object was added
          format: date-time
        dateUpdated:
          type: string
          description: Date and time when the object was last updated
          format: date-time
      required:
        - id
        - owner
        - followers
        - properties
        - dateAdded
        - dateUpdated
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````